# List Review Queue Items

Retrieve a list of Review Queue Item resources. 

For details on how to query endpoints using the available parameters, see Query Parameters.

Endpoint: GET /review_queue
Version: 2022-02-01
Security: BasicAuth

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `application_id` (string)
    Filter by Application ID.
    Example: "APc9vhYcPsRuTSpKD9KpMtPe"

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `created_at.gte` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.lte` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `entity_id` (string)
    Filter by entity_id.
    Example: "STiuhZx9SQ6B2D72AacxJY3n"

  - `entity_type` (string)
    Filter by entity_type.
    Example: "SETTLEMENT_V2"

  - `id` (string)
    Filter by id.

  - `limit` (integer)
    The numbers of items to return.
    Example: 3

  - `outcome` (string)
    Filter by outcome.
    Example: "PENDING"

  - `updated_at.gte` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.lte` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

  - `_embedded` (object)
    List of Review Queue Item objects

  - `_embedded.review_queue_items` (array)

  - `_embedded.review_queue_items.id` (string)
    The ID of the Review Queue resource.

  - `_embedded.review_queue_items.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.review_queue_items.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.review_queue_items.application` (string)
    Unique identifier for the Application associated with this Review Queue Item.

  - `_embedded.review_queue_items.completed_at` (string,null)
    Timestamp when the outcome field was changed to ACCEPTED.

  - `_embedded.review_queue_items.entity_id` (string)
    Unique identifier for the resource connected to this Review Queue Item.

  - `_embedded.review_queue_items.entity_type` (string)
    The type of entity being reviewed.
    Enum: "MERCHANT", "SETTLEMENT_V2"

  - `_embedded.review_queue_items.outcome` (string)
    The outcome of the current Review Queue Item.
    Enum: "ACCEPTED", "MANUAL_REVIEW", "PENDING", "REJECTED"

  - `_embedded.review_queue_items.processor_type` (string)
    The type of payment processor used.
    Enum: "DUMMY_V1"

  - `_embedded.review_queue_items.reviewed_by` (string)
    The ID of the user who last updated the Review Queue Item's outcome property.

  - `_embedded.review_queue_items.tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

  - `_embedded.review_queue_items._links` (object)
    An object containing link(s) relevant to the request. You can store these links for follow-up requests.

  - `_embedded.review_queue_items._links.self` (object)

  - `_embedded.review_queue_items._links.self.href` (string)
    The path to the resource.

  - `_embedded.review_queue_items._links.settlement` (object)
    Link to the associated Settlement resource.

  - `_embedded.review_queue_items._links.settlement.href` (string)

  - `_embedded.review_queue_items._links.application` (object)
    Link to the associated Application resource.

  - `_embedded.review_queue_items._links.application.href` (string)

  - `_links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

## Response 401 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "UNKNOWN"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.self` (object)

  - `_embedded.errors._links.self.href` (string)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 403 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "FORBIDDEN"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 404 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "NOT_FOUND"

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)

## Response 422 fields (application/json):

  - `total` (integer)

  - `_embedded` (object)

  - `_embedded.errors` (array)

  - `_embedded.errors.code` (string)
    Enum: "INVALID_FIELD"

  - `_embedded.errors.field` (string)

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)

  - `_embedded.errors._links` (object)

  - `_embedded.errors._links.source` (object)

  - `_embedded.errors._links.source.href` (string)


